/*****************************************************************************
written by Jens Thiele in August 1996
Email:  jthiele@apollo.unterland.de
IRC:    karme
******************************************************************************/

#include <iostream.h>

class my_i_streamtype
{
public:
  virtual istream &read(istream &)=0;
#ifdef kickwarn
  virtual ~my_i_streamtype(){}
#endif
};

class my_o_streamtype
{
public:
  virtual ostream &write(ostream &) const=0;
#ifdef kickwarn
  virtual ~my_o_streamtype(){}
#endif
};

class my_io_streamtype : public my_i_streamtype, public my_o_streamtype
{
};

ostream &operator<<(ostream &ost, const my_o_streamtype &my_o_stream);

istream &operator>>(istream &ist, my_i_streamtype &my_i_stream);

